package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CONTRATO_SAP. Se usa para el manejo de las operaciones BD. 
 */

public class ContratoSAPDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_CONTRATO;
	private String POSICION;
	private String MONTO;
	private String FECHA_SAP;
	private String DOC_MATERIAL;
	private String ANNIO;

	
	public String getID_CONTRATO() {
		return ID_CONTRATO;
	}

	public void setID_CONTRATO(String iD_CONTRATO) {
		ID_CONTRATO = iD_CONTRATO;
	}

	public String getPOSICION() {
		return POSICION;
	}

	public void setPOSICION(String pOSICION) {
		POSICION = pOSICION;
	}

	public String getMONTO() {
		return MONTO;
	}

	public void setMONTO(String mONTO) {
		MONTO = mONTO;
	}

	public String getFECHA_SAP() {
		return FECHA_SAP;
	}

	public void setFECHA_SAP(String fECHA_SAP) {
		FECHA_SAP = fECHA_SAP;
	}

	public String getDOC_MATERIAL() {
		return DOC_MATERIAL;
	}

	public void setDOC_MATERIAL(String dOC_MATERIAL) {
		DOC_MATERIAL = dOC_MATERIAL;
	}

	public String getANNIO() {
		return ANNIO;
	}

	public void setANNIO(String aNNIO) {
		ANNIO = aNNIO;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_CONTRATO: _" + this.getID_CONTRATO() + "_" + NEW_LINE);
		result.append(" POSICION: _" + this.getPOSICION() + "_" + NEW_LINE);
		result.append(" MONTO: _" + this.getMONTO() + "_" + NEW_LINE);
		result.append(" FECHA_SAP: _" + this.getFECHA_SAP() + "_" + NEW_LINE);
		result.append(" DOC_MATERIAL: _" + this.getDOC_MATERIAL() + "_" + NEW_LINE);
		result.append(" ANNIO: _" + this.getANNIO() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
